> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Single Recurrent Payment



## OpenAPI

````yaml openapi.json post /payout/single/recurrent
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/single/recurrent:
    parameters: []
    post:
      tags:
        - Payout
        - Single Recurrent Payout
      summary: Single Recurrent Payment
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                pin:
                  type: string
                  format: utc-millisec
                amount:
                  type: integer
                name:
                  type: string
                interval:
                  type: string
                email:
                  type: string
                  format: email
                bankCode:
                  type: string
                  format: color
                accountNumber:
                  type: string
                  format: utc-millisec
                narration:
                  type: string
                startDate:
                  type: string
                  format: date-time
                endDate:
                  type: string
                  format: date-time
            example:
              pin: '1235'
              amount: 1000
              name: Testing
              interval: Daily
              email: emma@yahoo.com
              bankCode: '000023'
              accountNumber: '2394934324'
              narration: Testing transaction
              startDate: '2024-07-11T12:40:00.851Z'
              endDate: '2024-07-12T17:00:00.851Z'
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '452'
            ETag:
              schema:
                type: string
              example: W/"1c4-9nKTKAyzDSnsvfTLP2LZ0RQb9PQ"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 02 Jul 2024 13:45:43 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Single Recurrent Payment - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      charges:
                        type: integer
                      bankName:
                        type: string
                      status:
                        type: string
                      amount:
                        type: integer
                      bankCode:
                        type: string
                        format: color
                      startDate:
                        type: string
                        format: date-time
                      endDate:
                        type: string
                        format: date-time
                      interval:
                        type: string
                      narration:
                        type: string
                      accountNumber:
                        type: string
                        format: utc-millisec
                      accountName:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
              example:
                status: true
                message: Recurrent transaction has been successfully scheduled
                data:
                  id: 7b7f2edd-d96a-4583-b938-3ebd49149f4d
                  charges: 20
                  bankName: PROVIDUS BANK
                  status: ACTIVE
                  amount: 200
                  bankCode: '000023'
                  startDate: '2024-07-02T13:48:15.851Z'
                  endDate: '2024-07-03T08:45:15.851Z'
                  interval: Daily
                  narration: Testing transaction
                  accountNumber: '2394934324'
                  accountName: SIMI MICHELLE
                  createdAt: '2024-07-02T13:45:43.685Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````